### Method

# EDataBook BookBackend set_data_book

since: 3.10

#### Declaration [src]

    void
    e_book_backend_set_data_book (
      EBookBackend* backend,
      EDataBook* data_book
    )

#### Description [src]

Sets the `EDataBook` for `backend`. The `EDataBook` is essentially the glue between incoming D-Bus requests and `backend`‘s native API.

An `EDataBook` should be set only once after `backend` is first created.

Available since: 3.10

#### Parameters

`data_book`

  Type: `EDataBook`

  An `EDataBook`.

  The data is owned by the caller of the method.